# golang-github-elithrar-simple-scrypt.spec
# Generated by go2rpm
# The timing / calibration tests are non-deterministic
# https://github.com/elithrar/simple-scrypt/issues/16
%bcond_with check

# https://github.com/elithrar/simple-scrypt
%global goipath         github.com/elithrar/simple-scrypt
Version:                1.3.0

%gometa

%global common_description %{expand:
Simple-scrypt provides a convenience wrapper around Go's existing scrypt
package that makes it easier to securely derive strong keys ("hash user
passwords"). This library allows you to:

 - Generate a scrypt derived key with a crytographically secure salt and sane
default parameters for N, r and p.
 - Upgrade the parameters used to generate keys as hardware improves by storing
them with the derived key (the scrypt spec. doesn't allow for this by default).
 - Provide your own parameters (if you wish to).

The API closely mirrors Go's bcrypt library in an effort to make it easy to
migrate—and because it's an easy to grok API.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        15%{?dist}
Summary:        Convenience library for generating, comparing and inspecting password hashes

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/crypto/scrypt)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Apr 17 12:31:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.0-7
- Update to new macros

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 1.3.0-5
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 22 2018 Steve Miller (copart) <code@rellims.com> - 1.3.0-3
- Removed tests for all archs due to non-deterministic nature

* Fri Jun 22 2018 Steve Miller (copart) <code@rellims.com> - 1.3.0-2
- Removed tests for s390x arch

* Wed Jun 13 2018 Steve Miller (copart) <code@rellims.com> - 1.3.0-1
- First package for Fedora
